Loading...
Searching...
No Matches
pdftron::PDF::PathData Class Reference

`#include <PathData.h>`

## Public Types
enum | PathSegmentType { e_moveto = 1 , e_lineto , e_cubicto , e_conicto , e_rect , e_closepath }

## Public Member Functions
| PathData ()
void | SetOperators (const std::vector< unsigned char > &operators)
void | SetPoints (const std::vector< double > &points)
const std::vector< unsigned char > & | GetOperators () const
const std::vector< double > & | GetPoints () const
bool | IsDefined () const
int | GetGlyphIndex () const

## Detailed Description

Contains the information required to draw the path. Contains an array of PathSegmentType Operators and corresponding path data Points. A point may be on or off (off points are control points). The meaning of a point depends on associated id (or segment type) in the path segment type array.

Definition at line 19 of file PathData.h.

## Member Enumeration Documentation

## ◆ PathSegmentType

enum pdftron::PDF::PathData::PathSegmentType

Enumeration used to indicate operator type.

Enumerator
e_moveto |
e_lineto |
e_cubicto |
e_conicto |
e_rect |
e_closepath |

Definition at line 25 of file PathData.h.

## Constructor & Destructor Documentation

## ◆ PathData()

pdftron::PDF::PathData::PathData | ( |  | ) |
| inline

Create a new empty PathData object.

Definition at line 62 of file PathData.h.

## Member Function Documentation

## ◆ GetGlyphIndex()

int pdftron::PDF::PathData::GetGlyphIndex | ( |  | ) | const
| inline

Returns
  The glyph index of the requested path. 0 stands for '.notdef' glyph.

Definition at line 128 of file PathData.h.

## ◆ GetOperators()

const std::vector< unsigned char > & pdftron::PDF::PathData::GetOperators | ( |  | ) | const
| inline

Get the current operators.

Returns
  The existing PathSegmentType operators.

Definition at line 92 of file PathData.h.

## ◆ GetPoints()

const std::vector< double > & pdftron::PDF::PathData::GetPoints | ( |  | ) | const
| inline

Get the current data points.

Returns
  The existing data points.

Definition at line 107 of file PathData.h.

## ◆ IsDefined()

bool pdftron::PDF::PathData::IsDefined | ( |  | ) | const
| inline

If PathData was acquired from Font::GetGlyphPath then is method will indicate if this is an 'undefined character code'.

Returns
  True if this is valid, otherwise false.

Note
  See Font::GetGlyphPath for more information regarding what an 'undefined character code' means.

Definition at line 121 of file PathData.h.

## ◆ SetOperators()

void pdftron::PDF::PathData::SetOperators | ( | const std::vector< unsigned char > & | operators | ) |
| inline

Overwrite the existing operators.

Parameters

  operators | - The new operators to use.

Definition at line 69 of file PathData.h.

## ◆ SetPoints()

void pdftron::PDF::PathData::SetPoints | ( | const std::vector< double > & | points | ) |
| inline

Overwrite the existing data points.

Parameters

  points | - The new data points to use.

Definition at line 78 of file PathData.h.

The documentation for this class was generated from the following file:

- PDF/PathData.h